com.r3corda.core.crypto / X509Utilities / createIntermediateCert

# createIntermediateCert

`fun createIntermediateCert(domain: String, certificateAuthority: CACertAndKey): CACertAndKey`

Create a de novo root intermediate X509 v3 CA cert and KeyPair.

### Parameters

`domain` - The Common (CN) field of the cert Subject will be populated with the domain string
`certificateAuthority` - The Public certificate and KeyPair of the root CA certificate above this used to sign it

Return
A data class is returned containing the new intermediate CA Cert and its KeyPair for signing downstream certificates. Note the generated certificate tree is capped at max depth of 1 below this to be in line with commercially available certificates